- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.FindInstalledAppProfilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#body.aspect)
- [ProfileAppInstallInstance](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#ProfileAppInstallInstance)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#ProfileAppInstallInstance.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#try-it)

Generate report of managed Chrome profiles that have a specified app installed.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findInstalledAppProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` Optional. The ID of the organizational unit. |
| `appId` | `string` Required. Unique identifier of the app. For Chrome apps and extensions, the 32-character id (e.g. ehoadneljpdggcbbknedodolkkjodefl). For Android apps, the package name (e.g. com.evernote). |
| `pageSize` | `integer` Optional. Maximum number of results to return. Maximum and default are 100. |
| `pageToken` | `string` Optional. Token to specify the page of the request to be returned. |
| `orderBy` | `string` Optional. Field used to order results. Supported order by fields: - email - profileId - profilePermanentId |
| `filter` | `string` Optional. Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Supported filter fields: - last_active_date |
| `appType` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/AppType`)`` Type of the app. Optional. If not provided, an app type will be inferred from the format of the app ID. |

### Request body

The request body must be empty.

### Response body

Response containing a list of profiles with queried app installed.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "profiles": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#ProfileAppInstallInstance`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `profiles[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findInstalledAppProfiles#ProfileAppInstallInstance`)`` A list of profiles which have the app installed. Sorted in ascending alphabetical order on the profile.Email field. |
| `nextPageToken` | `string` Token to specify the next page of the request. |
| `totalSize` | `integer` Total number of profiles matching request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## ProfileAppInstallInstance

Describes a profile reporting Chrome Profile information.

| JSON representation |
|---|
| ``` { "profileId": string, "profilePermanentId": string, "email": string, "profileOrgUnitId": string } ``` |

| Fields ||
|---|---|
| `profileId` | `string` Output only. The Chrome client side profile ID. |
| `profilePermanentId` | `string` Output only. Profile permanent ID is the unique identifier of a profile within one customer. |
| `email` | `string` Output only. The email of the profile. |
| `profileOrgUnitId` | `string` Output only. The organizational unit id of the profile. |